import java.util.*;
import java.io.*;
import org.python.util.PythonInterpreter;

public class Parent  {

	static public void main(String args_[]) throws Exception {
		File javaExe = new File(System.getProperty("java.home"), "bin");
		javaExe = new File(javaExe, "java");
		List<String> childProcessArgs = new Vector<String>();
		childProcessArgs.add(javaExe.toString());
		childProcessArgs.add("-classpath");
		childProcessArgs.add("."+File.pathSeparator+"*");
		childProcessArgs.add("Parent$Child");

		ProcessBuilder processBuilder = new ProcessBuilder(childProcessArgs);
		processBuilder.redirectErrorStream(true);
		final Process childProcess = processBuilder.start();

		(new Thread() { 
			public void run() { try { 
				while(true) {
					if(childProcess.getInputStream().read() == -1) {
						break;
					}
				}
			} catch(IOException e) {
				e.printStackTrace();
			} }}).start();

		System.out.println("Waiting for child process to exit...");
		childProcess.waitFor();
		System.out.println("... child process has exited, with a value of "+childProcess.exitValue()+".");
	}

	public static class Child {

		static public void main(String args_[]) throws Exception {
			(new Thread() {
				public void run() {
					try {
						System.in.read();
					} catch(IOException e) {
						System.exit(91);
					}
				}
			}).start();
			Thread.sleep(2*1000);
			try {
				PythonInterpreter.initialize(System.getProperties(), new Properties(), new String[0]);
				System.exit(0);
			} catch(Throwable t) {
				System.exit(92);
			}

		}

	}




}


